ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

CVE-2021-44228 - log4j vulnerability and DX OI

book

Article ID: 230524

calendar_today

Updated On:

Products

DX Operational Intelligence DX OI SaaS

Issue/Introduction

https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-44228

Apache Log4j2 <=2.14.1 JNDI features used in configuration, log messages, and parameters do not protect against attacker controlled LDAP and other JNDI related endpoints.

An attacker who can control log messages or log message parameters can execute arbitrary code loaded from LDAP servers when message lookup substitution is enabled 

From log4j 2.15.0, this behavior has been disabled by default. In previous releases (>2.10) this behavior can be mitigated by setting system property "log4j2.formatMsgNoLookups" to "true"; or adding the environment variable LOG4J_FORMAT_MSG_NO_LOOKUPS": "true" or by removing the JndiLookup class from the classpath (example: zip -q -d log4j-core-*.jar org/apache/logging/log4j/core/lookup/JndiLookup.class). Java 8u121 (see https://www.oracle.com/java/technologies/javase/8u121-relnotes.html) protects against remote code execution by defaulting "com.sun.jndi.rmi.object.trustURLCodebase" and "com.sun.jndi.cosnaming.object.trustURLCodebase" to "false" 

 

[Update 16 December] A further vulnerability (CVE-2021-45046) was disclosed on December 14th and it was found that the configuration mentioned in this KB to mitigate CVE-2021-44228 in Apache Log4j 2.x < 2.16.0 was incomplete in some scenarios.

[Update 30 December] DX Operational Intelligence 21.3.1.HF1 is available on the Broadcom Customer Support portal ( https://support.broadcom.com/ ).  This HotFix provides software updates to remediate log4j vulnerabilities CVE-2021-44228, CVE-2021-45046 explained in this Knowledge Base article. The product components, as needed, have been upgraded to log4j-2.17.0 as suggested by Apache. Customers who have DX Operational Intelligence 21.3.1 can directly upgrade to DX Operational Intelligence 21.3.1.HF1. Customers on older versions are required to upgrade to DX Operational Intelligence 21.3.1 first and then apply the HotFix. 

 

Environment

DX OI SaaS

DX OI 20.2.1 and 21.3.1

 

Resolution

The DX OI Engineering team has investigated and determined that few components of the Digital Operational Intelligence contain the log4j versions that may be exposed to the vulnerability.

The Engineering team recommends the following steps to mitigate the exposure to this vulnerability

 

 

DX OI 

For SaaS

[Update 20 December]: HOTFIX STATUS = COMPLETED

we have updated to Log4J v2.16 to remediate CVE-2021-44228.

 

For release 21.3.1

[Update 30 December]: HOTFIX STATUS = COMPLETED

SOLUTION:

DX Operational Intelligence 21.3.1.HOTFIX #1 has been released and is available from Broadcom Download site (https://support.broadcom.com/download-center/product-download.html?subfamily=DIGITAL%20OPERATIONAL%20INTELLIGENCE).

This HF provides software updates to remediate log4j vulnerabilities CVE-2021-44228, CVE-2021-45046, the product components have been upgraded to log4j-2.17.0 as suggested by Apache.
Customers who have DX Operational Intelligence 21.3.1 can directly upgrade to DX Operational Intelligence 21.3.1.HF1.
Customers on older versions are required to upgrade to DX Operational Intelligence 21.3.1 first and then apply the HotFix. 

Upgrade Instructions: https://techdocs.broadcom.com/us/en/ca-enterprise-software/it-operations-management/dx-platform-on-premise/21-3/Upgrade-DX-Platform/Upgrade-2131-to-2131HF1.html

Release Notes: https://techdocs.broadcom.com/us/en/ca-enterprise-software/it-operations-management/digital-operational-intelligence/21-3/release-notes/Hotfix-Release-Notes.html

 

 

For release 20.2.1

There is no workaround and customers are recommended to upgrade to 21.3.1 and apply above recommendations



DX OI Integrations

 

1) NetOps PM OIConnector

https://knowledge.broadcom.com/external/article?articleId=230233


2) Spectrum Data Publisher (SDP)

https://knowledge.broadcom.com/external/article?articleId=230391

Go to "DX Netops Spectrum Data Publisher" section 


3) UIM OI Connector

Not impacted


4) APM OI Connector

Not impacted

 

5) RestMon

https://knowledge.broadcom.com/external/article/230535

 

DX Gateway (SaaS only)

 

1) On-Prem ITSM

https://knowledge.broadcom.com/external/article/230718

2) On-Prem Gateway 

Not impacted

 

 

Additional Information

https://support.broadcom.com/security-advisory/content/security-advisories/Broadcom-Enterprise-Software-Security-Advisory-for-Log4j-2-CVE-2021-44228-Vulnerability/ESDSA19792

Attachments